Subject: Re: bug#27042: test-package.sh fails on aarch64

From: [email-masked] (Ludovic Courtès)
Date: Sun, 02 Jul 2017 11:13:05 +0200

Efraim Flashner <[email-masked]> skribis:

> On Fri, Jun 30, 2017 at 11:45:10AM +0200, Ludovic Courtès wrote:
>> Efraim Flashner <[email-masked]> skribis:
>> 
>> > On Thu, Jun 29, 2017 at 09:22:59PM +0200, Ludovic Courtès wrote:
>> >> Efraim Flashner <[email-masked]> skribis:
>> >> 
>> >> > On Thu, Jun 22, 2017 at 11:06:45PM +0200, Ludovic Courtès wrote:
>> >> >> Efraim Flashner <[email-masked]> skribis:
>> >> >> 
>> >> >> > On aarch64 the test 'test-package.sh' fails due to 'offload: command not
>> >> >> > found'
>> >> >> 
>> >> >> I think you mentioned on IRC that the problem vanished, right?
>> >> >> 
>> >> >> Ludo’.
>> >> >
>> >> > The test still fails when run separately, but running `guix pull` on aarch64
>> >> > and `guix build guix` both work.
>> >> 
>> >> But really, I think “offload: command not found” is a setup issue and is
>> >> not related to aarch64 specifically.  That it works in ‘guix build guix’
>> >> tends to confirm my hypothesis.  :-)
>> >> 
>> >> Could you check the value of HAVE_DAEMON_OFFLOAD_HOOK in the
>> >
>> > #define HAVE_DAEMON_OFFLOAD_HOOK 1
>> >
>> >> ‘configure’-generated files, and also that of
>> >> ‘guix_cv_have_recent_guile_ssh’ and ‘ac_cv_guix_cbips_support_setvbuf’
>> >
>> > guix_cv_have_recent_guile_ssh=yes
>> > ac_cv_guix_cbips_support_setvbuf=yes
>> 
>> And what does “./pre-inst-env guix offload” say?
>> 
>
> guix: offload: command not found

And “./pre-inst-env guile -c '(use-modules (ssh key))'” fails as well I
guess?

That would mean that Guile-SSH was found at configure time (i.e., it was
in GUILE_LOAD_PATH) but has since disappeared or become unusable (e.g.,
GUILE_LOAD_PATH is different and no longer includes it, or Guile-SSH has
been uninstalled, or a Guile-SSH is installed but it’s one for Guile 2.0
and you’re using 2.2 or vice-versa, etc.).

Does this hypothesis hold?  :-)

Thanks,
Ludo’.